{% comment %}ly_global_begin{% endcomment %}{% include 'ly-global' %}{% comment %}ly_global_end{% endcomment %}
<div class="collection-grid product-grid">
  {% paginate collection.products by 48 %}
    {% for product in collection.products %}
      {% include 'grid-product' %}
    {% endfor %}
  <div class="collection-grid__pagination">
    {%- if paginate.previous-%}
        <a href="{{ paginate.previous.url }}">
          ← Previous
        </a>
    {%- endif -%}
    {%- if paginate.next -%}
    	<a href="{{ paginate.next.url }}">
          Next →
    	</a>
    {%- endif -%}
  </div>
  {% endpaginate %}
</div><!-- ".collection-grid" -->